Page MenuHomePhabricator

Use standard dialog text styling throughout the app
Closed, ResolvedPublic

Description

Based on the comment in T190838#4179218

Update the theme of AlertDialog and Dialog with the following style:

Use standard dialog text styling - Subhead secondary - Roboto Regular 16sp with 24 line-height

Event Timeline

cooltey created this task.May 3 2018, 5:50 PM
Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptMay 3 2018, 5:50 PM

Change 432701 had a related patch set uploaded (by Cooltey; owner: Cooltey):
[apps/android/wikipedia@master] Use standard dialog text styling throughout the app

https://gerrit.wikimedia.org/r/432701

Change 432701 merged by jenkins-bot:
[apps/android/wikipedia@master] Use standard dialog text styling throughout the app

https://gerrit.wikimedia.org/r/432701

RHo added a comment.May 14 2018, 8:16 PM

hey @cooltey - the line-spacing still is off by about 3dp on the dialog text block.

Also picked up a bug that I missed earlier in that the Dialog title should use the standard title Roboto Medium 20sp (leading 28sp) – this is the same one that is shown in other parts of the app (eg. Settings > Enable reading list syncing > Log in dialog ), and there should be a 8dp space between the dialog title and the text block.

Change 433086 had a related patch set uploaded (by Cooltey; owner: Cooltey):
[apps/android/wikipedia@master] Tweak: Use standard dialog text styling throughout the app

https://gerrit.wikimedia.org/r/433086

Change 433086 merged by jenkins-bot:
[apps/android/wikipedia@master] Tweak: Use standard dialog text styling throughout the app

https://gerrit.wikimedia.org/r/433086

RHo added a comment.May 15 2018, 8:51 PM

hi @cooltey - still not quite right:

I think it's just the adjustment should be 5dp instead of 6dp in the https://gerrit.wikimedia.org/r/#/c/433086/1/app/src/main/res/values/dimens.xml file
And regarding the spacing between the dialog title and text, perhaps if you can set the line-height on the dialog title to 28sp?

@RHo We're kind of reaching the limit of how much we can customize the standard Android dialog box. Is there some way we can accept some of the standard styles that Android provides for us? Otherwise, @cooltey At this point it might make more sense to create a fully custom XML layout for our standard dialogs, so that we would have full control of it, independently of standard Android style definitions.

RHo added a comment.May 16 2018, 3:17 PM

@Dbrant - I'm a little confused because my assumption was that applying standard dialog styling was what this task is about?

I would be happy to apply the standard dialog styling whereby:
Dialog title = Roboto Medium 20sp, line-height = 28sp
Dialog text = Roboto Regular 16sp, line-height = 24sp

For reference, here is the standard baseline dialog style provided by the system, if we don't make any modifications to it:

Hi, @RHo

I've made changes and it got merged. It's ready for design signoff now.
https://gerrit.wikimedia.org/r/#/c/433436/

Dbrant closed this task as Resolved.Jun 27 2018, 8:05 PM
Vvjjkkii renamed this task from Use standard dialog text styling throughout the app to oodaaaaaaa.Jul 1 2018, 1:12 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed cooltey as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: Aklapper, gerritbot.
CommunityTechBot renamed this task from oodaaaaaaa to Use standard dialog text styling throughout the app.Jul 2 2018, 4:31 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to cooltey.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: Aklapper, gerritbot.